#include "common.h"
#include <math.h>
#include <stdio.h>
#include <stdlib.h>
#include <stdint.h>
#include <string.h>

#ifdef __cplusplus
extern "C" {
#endif

int
LLVMFuzzerTestOneInput(const uint8_t *data, size_t size) {
    size_t i = 0;

    int8_t int8_eq_const_0_0;
    int8_t int8_eq_const_1_0;
    int8_t int8_eq_const_2_0;
    int8_t int8_eq_const_3_0;
    int8_t int8_eq_const_4_0;
    int8_t int8_eq_const_5_0;
    int8_t int8_eq_const_6_0;
    int8_t int8_eq_const_7_0;
    int8_t int8_eq_const_8_0;
    int8_t int8_eq_const_9_0;
    int8_t int8_eq_const_10_0;
    int8_t int8_eq_const_11_0;
    int8_t int8_eq_const_12_0;
    int8_t int8_eq_const_13_0;
    int8_t int8_eq_const_14_0;
    int8_t int8_eq_const_15_0;

    if (size < 16)
        return TEPHRA_EXIT_FAILURE;


    memcpy(&int8_eq_const_0_0, &data[i], 1);
    i += 1;
    memcpy(&int8_eq_const_1_0, &data[i], 1);
    i += 1;
    memcpy(&int8_eq_const_2_0, &data[i], 1);
    i += 1;
    memcpy(&int8_eq_const_3_0, &data[i], 1);
    i += 1;
    memcpy(&int8_eq_const_4_0, &data[i], 1);
    i += 1;
    memcpy(&int8_eq_const_5_0, &data[i], 1);
    i += 1;
    memcpy(&int8_eq_const_6_0, &data[i], 1);
    i += 1;
    memcpy(&int8_eq_const_7_0, &data[i], 1);
    i += 1;
    memcpy(&int8_eq_const_8_0, &data[i], 1);
    i += 1;
    memcpy(&int8_eq_const_9_0, &data[i], 1);
    i += 1;
    memcpy(&int8_eq_const_10_0, &data[i], 1);
    i += 1;
    memcpy(&int8_eq_const_11_0, &data[i], 1);
    i += 1;
    memcpy(&int8_eq_const_12_0, &data[i], 1);
    i += 1;
    memcpy(&int8_eq_const_13_0, &data[i], 1);
    i += 1;
    memcpy(&int8_eq_const_14_0, &data[i], 1);
    i += 1;
    memcpy(&int8_eq_const_15_0, &data[i], 1);
    i += 1;


    if (int8_eq_const_0_0 == -57)
    if (int8_eq_const_1_0 == -78)
    if (int8_eq_const_2_0 == -83)
    if (int8_eq_const_3_0 == 93)
    if (int8_eq_const_4_0 == -4)
    if (int8_eq_const_5_0 == -21)
    if (int8_eq_const_6_0 == 34)
    if (int8_eq_const_7_0 == 51)
    if (int8_eq_const_8_0 == -48)
    if (int8_eq_const_9_0 == 18)
    if (int8_eq_const_10_0 == -34)
    if (int8_eq_const_11_0 == 95)
    if (int8_eq_const_12_0 == 78)
    if (int8_eq_const_13_0 == 29)
    if (int8_eq_const_14_0 == -33)
    if (int8_eq_const_15_0 == 50)
        BOOM();

    return TEPHRA_EXIT_SUCCESS;
}

#ifdef __cplusplus
}
#endif
